/// <reference types="react" />
import './ReportTimestamp.scss';
import { SourceFile } from './report-data-typings';
declare const defaultDisplayStrings: {
    syncTime: string;
    files: string;
};
/**
 * `ReportTimestamp` simply displays a muted string containing the timestamp when the synchronization run was completed.
 * If used outside `Report`, `timestamp` will need to be specified manually.
 */
export declare const ReportTimestamp: ({ timestamp, filesCount, filesProcessed, displayStrings: userDisplayStrings, }: {
    timestamp?: Date | undefined;
    filesProcessed?: SourceFile[] | undefined;
    filesCount?: number | undefined;
    displayStrings?: Partial<{
        syncTime: string;
        files: string;
    }> | undefined;
    className?: string | undefined;
}) => JSX.Element;
export {};
