/// <reference types="react" />
declare const defaultDisplayStrings: {
    synchronizationReport: string;
    unknown: string;
};
/**
 * `ReportTitle` simply displays a title containing the name of the main file (inferred from `Report`).
 * If used outside `Report` (e.g. passed as modal title), `fileName` will need to be specified manually.
 */
export declare const ReportTitle: ({ fileName, displayStrings: userDisplayStrings, ...rest }: {
    fileName?: string | undefined;
    displayStrings?: Partial<{
        synchronizationReport: string;
        unknown: string;
    }> | undefined;
    className?: string | undefined;
}) => JSX.Element;
export {};
